OGRE: Ogre::FloatGpuParameterControllerValue Class Reference

| OGRE 14.5 Object-Oriented Graphics Rendering Engine

Loading...
Searching...
No Matches
Ogre::FloatGpuParameterControllerValue Class Reference
Core » Animation

Predefined controller value for setting a single floating- point value in a constant parameter of a vertex or fragment program. More...

`#include <OgrePredefinedControllers.h>`

Inheritance diagram for Ogre::FloatGpuParameterControllerValue:
[legend]

## Public Member Functions
| FloatGpuParameterControllerValue (const GpuProgramParametersSharedPtr &params, size_t index)
float | getValue (void) const override
void | setValue (float value) override
Public Member Functions inherited from Ogre::ControllerValue< float >
virtual | ~ControllerValue ()

## Static Public Member Functions
static ControllerValueRealPtr | create (const GpuProgramParametersSharedPtr &params, size_t index)
| Constructor.

## Detailed Description

Predefined controller value for setting a single floating- point value in a constant parameter of a vertex or fragment program.

Any value is accepted, it is propagated into the 'x' component of the constant register identified by the index. If you need to use named parameters, retrieve the index from the param object before setting this controller up.

Note
  Retrieving a value from the program parameters is not currently supported, therefore do not use this controller value as a source, only as a target.

## Constructor & Destructor Documentation

## ◆ FloatGpuParameterControllerValue()

Ogre::FloatGpuParameterControllerValue::FloatGpuParameterControllerValue | ( | const GpuProgramParametersSharedPtr & | params,
|  | size_t | index )

Deprecated
  use create()

## Member Function Documentation

## ◆ create()

ControllerValueRealPtr Ogre::FloatGpuParameterControllerValue::create | ( | const GpuProgramParametersSharedPtr & | params,
|  | size_t | index )
| inlinestatic

Constructor.

Parameters

  params | The parameters object to access
  index | The index of the parameter to be set

## ◆ getValue()

float Ogre::FloatGpuParameterControllerValue::getValue | ( | void |  | ) | const
| overridevirtual

Implements Ogre::ControllerValue< float >.

## ◆ setValue()

void Ogre::FloatGpuParameterControllerValue::setValue | ( | float | value | ) |
| overridevirtual

Implements Ogre::ControllerValue< float >.

The documentation for this class was generated from the following file:

- OgrePredefinedControllers.h